<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+


/*CREATE TABLE ~tender_quote (
  id integer NOT NULL,
  tender_item integer NOT NULL,
  user_id integer NOT NULL,
  method varchar(10) default 'Auto' NOT NULL,
  brand varchar(255) default 'None' NOT NULL,
  model varchar(255) default 'None' NOT NULL,
  description varchar(255) default 'None' NOT NULL,
  quote_message integer default '0',
  attachment integer default '0',
  stock integer default '0' NOT NULL,
  valid_until date NOT NULL,
  price decimal(12,2) default '0.00' NOT NULL,
  quote_position integer default '0' NOT NULL,
  created_date date NOT NULL, created_time time NOT NULL,
  created_by integer NOT NULL,
  status integer default '0' NOT NULL,
  error varchar(255) default '',
  deleted_date date, deleted_time time,
  deleted_by integer default '0',
  PRIMARY KEY (id)
);*/

$table['tender_quote']['tender_item']		= array("integer",		FALSE,		TRUE,	FALSE,	"tender_item");
$table['tender_quote']['classification']	= array("integer",		"1");
$table['tender_quote']['user_id']			= array("integer",		FALSE,		TRUE,	FALSE,	"users");
$table['tender_quote']['method']			= array("varchar(255)",	"Auto",		TRUE);
$table['tender_quote']['brand']				= array("varchar(255)",	"",			TRUE);
$table['tender_quote']['model']				= array("varchar(255)",	"",			TRUE);
$table['tender_quote']['description']		= array("text","",			TRUE);
$table['tender_quote']['quote_message']		= array("integer",		FALSE,		FALSE,	FALSE,	"message_schedule");
$table['tender_quote']['attachment']		= array("integer",		FALSE,		FALSE,	FALSE,	"attachment");
$table['tender_quote']['stock']				= array("integer",		"0",		TRUE);
$table['tender_quote']['valid_until']		= array("date");
$table['tender_quote']['price']				= array("money",		"0.00",		TRUE);
$table['tender_quote']['quote_position']	= array("integer",		"0");
$table['tender_quote']['status']			= array("integer",		"0",		TRUE);
$table['tender_quote']['error']				= array("varchar(255)",	"",			TRUE);

?>
